Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.daohib.bpel.hobj
Class HCorrelationProperty

    java.lang.Object
      org.apache.ode.daohib.bpel.hobj.HObject
          org.apache.ode.daohib.bpel.hobj.HCorrelationProperty

    public class HCorrelationProperty

extends HObject

Hibernate table-mapped class representing one valued property in a correlation set.

Field Summary
`static java.lang.String` | `DELETE_CORPROPS_BY_INSTANCE`
`static java.lang.String` | `DELETE_CORPROPS_BY_PROCESS`

Constructor Summary
`HCorrelationProperty()`
`HCorrelationProperty(javax.xml.namespace.QName qname, java.lang.String value, HCorrelationSet correlationSet)`
`HCorrelationProperty(java.lang.String name, java.lang.String namespace, java.lang.String value, HCorrelationSet correlationSet)`

Method Summary
`HCorrelationSet` | `getCorrelationSet()`
`java.lang.String` | `getName()`
`java.lang.String` | `getNamespace()`
`javax.xml.namespace.QName` | `getQName()`
`java.lang.String` | `getValue()`
`void` | `setCorrelationSet(HCorrelationSet correlationSet)`
`void` | `setName(java.lang.String name)`
`void` | `setNamespace(java.lang.String namespace)`
`void` | `setValue(java.lang.String value)`

Methods inherited from class org.apache.ode.daohib.bpel.hobj.HObject
`getCreated, getId, getLock, setCreated, setId, setLock, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### DELETE_CORPROPS_BY_PROCESS

    public static final java.lang.String DELETE_CORPROPS_BY_PROCESS

See Also:
  Constant Field Values

### DELETE_CORPROPS_BY_INSTANCE

    public static final java.lang.String DELETE_CORPROPS_BY_INSTANCE

See Also:
  Constant Field Values

Constructor Detail

### HCorrelationProperty

    public HCorrelationProperty()

### HCorrelationProperty

    public HCorrelationProperty(java.lang.String name,
                                java.lang.String namespace,
                                java.lang.String value,
                                HCorrelationSet correlationSet)

### HCorrelationProperty

    public HCorrelationProperty(javax.xml.namespace.QName qname,
                                java.lang.String value,
                                HCorrelationSet correlationSet)

Method Detail

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String name)

### getNamespace

    public java.lang.String getNamespace()

### setNamespace

    public void setNamespace(java.lang.String namespace)

### getValue

    public java.lang.String getValue()

### setValue

    public void setValue(java.lang.String value)

### getCorrelationSet

    public HCorrelationSet getCorrelationSet()

### setCorrelationSet

    public void setCorrelationSet(HCorrelationSet correlationSet)

### getQName

    public javax.xml.namespace.QName getQName()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD